/* ****************************
             Footer
******************************* */
footer {
  background: var(--bg-dark);
  padding-top: 50px;
  padding-bottom: 30px;
  width: 100%;
  border-top: 3px solid var(--primary);
}

/* ---👉 Footer Top Row */
footer .footer-top-row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

/* ---👉 Footer Logo */
footer .footer-top-row .f-logo {
  height: 55px;
  width: auto;
  margin-bottom: 20px;
}

/* ---👉 Footer Nav Link <ul> */
footer .footer-top-row .f-navlink-ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  column-gap: 22px;
  row-gap: 10px;
}

footer .f-navlink-ul .nav-link {
  color: whitesmoke;
  text-transform: capitalize;
  display: block;
  font-size: 13px;
  transition: var(--Ftrns);
}
footer .f-navlink-ul .nav-link:hover {
  transform: scale(1.1);
}
footer .f-navlink-ul .nav-link.active {
  color: var(--primary);
}

/* ---👉 Footer Top Row Right col*/
footer .col-right .f-hd {
  color: whitesmoke;
  text-transform: capitalize;
  font-weight: 600;
}
footer .col-right p {
  color: rgb(218, 218, 218);
  font-size: 12px;
  font-weight: 300;
}

/* ---👉 Footer Email / Ph */
footer .col-right .f-contact-box {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}
footer .col-right .f-contact-box a {
  color: rgb(218, 218, 218);
  font-size: 12px;
  transition: var(--Ltrns);
}
footer .col-right .f-contact-box a:hover {
  color: rgb(121, 177, 242);
}
footer .col-right .f-contact-box a i {
  margin-right: 3px;
}

/* ---👉 Footer Base Row */
footer .foot-base-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 15px;
  padding-top: 20px;
  margin-top: 30px;
  border-top: 1px solid #d3d3d318;
}
footer .foot-base-row p {
  color: rgb(218, 218, 218);
  margin: 0;
  font-size: 12px;
  font-weight: 200;
  letter-spacing: 1px;
  text-align: center;
}
footer .foot-base-row .social-icons-div a:hover {
  color: rgb(218, 218, 218);
  border-color: rgb(218, 218, 218);
}

@media (max-width: 520px) {
  footer .footer-top-row .f-logo {
    height: 45px;
  }

  footer .footer-top-row {
    grid-template-columns: repeat(1, 1fr);
    gap: 40px;
  }

  footer .foot-base-row {
    justify-content: center;
  }
}
